Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Howto] Dnie [Acceso, firma y Ebuild]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Sat Mar 26, 2016 6:15 pm    Post subject: Reply with quote

Solución:
Acudir a una oficina de expedición del DNIe, y solicitar una REIMPRESION del documento.

- No se necesita cita previa, Pero es posible que en función de la cantidad de gente os hagan esperar más o menos, o incluso os den un "pase" para que podáis acudir en otro momento
- El funcionario os hará probar el chip en el PAD, para ver que efectivamente está roto, y que no os queréis colar "por la jeta"
- El procedimiento es gratuito
Bueno, bueno, eso es otra cosa... :twisted: :twisted: :twisted:
Ahora a ver si se entera el funcionario de turno. Voy a buscar en la legislacion.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Sun Mar 27, 2016 4:02 am    Post subject: Reply with quote

Voy a escribir un correo electrónico a la oficina técnica. Creo que es donde más conocen del asunto, pero por lo que estoy leyendo si es un fallo del chip te han de cambiar el DNI gratis.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Tue Mar 29, 2016 2:36 pm    Post subject: Reply with quote

He recibido respuesta:
Solicite una cita previa, lleve su DNIe y la tasa en este caso sería gratuita.
Pues ya esta, la cita me sale para el mes de mayo. Llevaré el email por si acaso no vaya a ser que quieran cobrarme la tasa. :twisted: :twisted: :twisted:
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Tue Mar 29, 2016 4:49 pm    Post subject: Reply with quote

Te remito a mensajes anteriores en este mismo hilo: el nuevo DNIe muy probablemente no te funcionará con la versión 0.14 de opensc, si no lo has hecho ya tendrás que actualizar a la 0.15, que también está en portage.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Tue Mar 29, 2016 8:30 pm    Post subject: Reply with quote

Ya está actualizado a 0.15. :wink:
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Mon Apr 11, 2016 9:24 pm    Post subject: Reply with quote

Hola,

Tengo un problema con la firma digital. En algunas webs (parece ser las que usan java) me sale un error de "se han pedido alias a un almacén no inicializado".

Ocurre el mismo error tanto con el DNIe como con un certificado instalado en el navegador.

¿Alguna idea?
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Mon Apr 11, 2016 10:56 pm    Post subject: Reply with quote

Pon algunas de las web. Yo tengo la firma electrónica de la FNMT o sea que puedo darle un vistazo.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Sat Apr 16, 2016 1:32 pm    Post subject: Reply with quote

Hola,

la que me está dando problemas es www.mifirma.com

Parece algún error de java: cuando voy a firmar, pongo los datos, pide permiso para ejecutar la aplicación java, pide el PIn del DNIe... y luego salen dos mensajes: uno de que se ha producido un error y otro diciendo que se ha pedido alias a un almacén no inicializado.

En la consola de Java:

Code:
SEVERE: java.lang.IllegalStateException: Se han pedido alias a un almacen no inicializado
   at es.gob.afirma.keystores.AOKeyStoreManager.getAliases(Unknown Source)
   at es.gob.afirma.keystores.AggregatedKeyStoreManager.getAliases(Unknown Source)
   at es.gob.afirma.keystores.AOKeyStoreDialog.getNameCertificates(Unknown Source)
   at es.gob.afirma.keystores.AOKeyStoreDialog.show(Unknown Source)
   at es.gob.afirma.miniapplet.SelectPrivateKeyAction.a(Unknown Source)
   at es.gob.afirma.miniapplet.SelectPrivateKeyAction.run(Unknown Source)
   at java.security.AccessController.doPrivileged(Native Method)
   at es.gob.afirma.miniapplet.MiniAfirmaApplet.a(Unknown Source)
   at es.gob.afirma.miniapplet.MiniAfirmaApplet.sign(Unknown Source)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
   at java.lang.reflect.Method.invoke(Method.java:498)
   at sun.plugin.javascript.Trampoline.invoke(Unknown Source)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
   at java.lang.reflect.Method.invoke(Method.java:498)
   at sun.plugin.javascript.JSClassLoader.invoke(Unknown Source)
   at sun.plugin2.liveconnect.JavaClass$MethodInfo.invoke(Unknown Source)
   at sun.plugin2.liveconnect.JavaClass$MemberBundle.invoke(Unknown Source)
   at sun.plugin2.liveconnect.JavaClass.invoke0(Unknown Source)
   at sun.plugin2.liveconnect.JavaClass.invoke(Unknown Source)
   at sun.plugin2.main.client.LiveConnectSupport$PerAppletInfo$DefaultInvocationDelegate.invoke(Unknown Source)
   at sun.plugin2.main.client.LiveConnectSupport$PerAppletInfo$3.run(Unknown Source)
   at java.security.AccessController.doPrivileged(Native Method)
   at sun.plugin2.main.client.LiveConnectSupport$PerAppletInfo.doObjectOp(Unknown Source)
   at sun.plugin2.main.client.LiveConnectSupport$PerAppletInfo$LiveConnectWorker.run(Unknown Source)
   at java.lang.Thread.run(Thread.java:745)

_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Wed Apr 20, 2016 3:17 am    Post subject: Reply with quote

A mi con la firma electrónica de la FNMT me ha funcionado perfectamente
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Wed Apr 20, 2016 2:40 pm    Post subject: Reply with quote

Hola,

¿Qué versión de java y navegador tienes instalada? Porque me estoy oliendo que va a ser la versión de java o alguna chuminada en la configuración.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Thu Apr 21, 2016 2:21 am    Post subject: Reply with quote

Mira te dejo mi navegador y mis uses

www-client/firefox-38.7.0::gentoo USE="dbus gmp-autoupdate jemalloc3 jit minimal startup-notification -bindist -custom-cflags -custom-optimization -debug -egl -gstreamer -gstreamer-0 -hardened (-neon) (-pgo) -pulseaudio (-selinux) -system-cairo -system-icu -system-jpeg -system-libvpx -system-sqlite {-test} -wifi" LINGUAS="-af -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -te -th -tr -uk -vi -xh -zh_CN -zh_TW" 0 KiB

dev-java/icedtea-bin-7.2.6.5:7::gentoo USE="alsa cups gtk nsplugin webstart -cjk -doc -examples -headless-awt -nss -pulseaudio (-selinux) -source" 0 KiB

Ah si, y mira esto
https://es.scribd.com/doc/284787846/Manual-Instrucciones-Firma-Digital
describen precisamente el error que sufres.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Thu Apr 21, 2016 12:35 pm    Post subject: Reply with quote

Hola,

Gracias por la respuesta. He mirado el enlace que citas y dice que en http://valide.redsara.es/ puede comprobarse. Pues bien, me da el mismo error.

He creado los enlaces

ibnspr4.dylib
libplds4.dylib
libplc4.dylib
libmozsqlite3.dylib
libnssutil3.dylib

que dice la guía, he recompilado firefox con las mismas opciones que el tuyo (excepto pulseaudio, que me es necesario), he eliminado icedtea y he dejado sólo el jdk de oracle (tengo el jdk porque lo necesitaba para netbeans, el jdk lleva un jre incorporado), he instalado la versión 1.8 y la 1.7, que el sistema se niega a tener sólo la 8 instalada.

Cada una de las dos versiones instala su propio plugin en el navegador, aunque el que instala la versión 1.7 el navegador saca un mensaje diciendo que es vulnerable y debe actualizarse.
Code:

$ eselect java-vm list
Available Java Virtual Machines:
  [1]   oracle-jdk-bin-1.7  system-vm user-vm
  [2]   oracle-jdk-bin-1.8


He probado activando tanto uno como el otro, con idéntico resultado.

Code:
$ eselect java-nsplugin list
Available 32-bit Java browser plugins
Available 64-bit Java browser plugins
  [1]   oracle-jdk-bin-1.7  current


Sólo muestra el 1.7, activado.

En la configuración de java he instalado los certificados y he dado permisos al sitio. Pues nada, el mismo error, después de pedir el PIN del DNI, sale el mismo mensaje.

¿En tu caso estás usando Icedtea? Mi sistema quería instalarlo, sin embargo en portage aparege como masked.

Es cosa de java seguro, porque en otras web, como la de la seguridad social, puedo obtener una vida laboral tanto con el DNIe como con el idCAT, pero ni en mifirma ni en valide.redsara.es funciona ninguno de los dos.

De hecho, en valide.redsara.es -> validar certificado, ni funciona el botón para elegir uno.

Hace algunos meses había firmado alguna propuesta en mifirma, por tanto estoy seguro que alguna actualización ha fastidiado algo.

¿Alguna idea?
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Tue Apr 26, 2016 9:29 am    Post subject: Reply with quote

prueba a sacar el pulse audio.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Wed Apr 27, 2016 7:01 pm    Post subject: Reply with quote

Hola,

Gracias pero no, lo he probado y no es eso.

De todas formas me parece más fallo de algo en la configuración de Java que en la del navegador, porque el programa PADRE de la renta he comprobado que tampoco permite elegir certificado.

Será cosa de seguir investigando.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Fri Apr 29, 2016 10:15 am    Post subject: Reply with quote

Sabes que tengo una teoría.
A mi el programa padre me funciona perfectamente.
Es probable que entre las diferentes versiones de java tengas una configuración corrupta.
Elimina los directorios de configuración de java (o renombralos)
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1217

PostPosted: Fri Apr 29, 2016 1:45 pm    Post subject: Reply with quote

pcmaster wrote:
...
porque el programa PADRE de la renta he comprobado que tampoco permite elegir certificado.
...

Si usas Firefox prueba a desactivar la opción de "Usar una contraseña maestra".
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Fri Apr 29, 2016 8:40 pm    Post subject: Reply with quote

Hola quilosaq,

La opción de usar una contraseña maestra NO la tengo activada.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Sat Apr 30, 2016 2:32 pm    Post subject: Reply with quote

Borra el ~/.java
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Wed May 11, 2016 12:29 pm    Post subject: Reply with quote

Por cierto ya tengo el nuevo DNI 3.0 y NO FUNCIONA.
Code:
dnie-tool -a
Using reader with a card: C3PO LTC31 v2 (00509883) 00 00
Error: Get info failed: Unsupported CLA byte in APDU

_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Sat May 14, 2016 3:42 pm    Post subject: Reply with quote

He eliminado todas las versiones de java e instalado la última versión de icedtea, he borrado el ~/.java y... sigue igual.

Por cierto, en icedtea... ¿dónde está el panel de configuración?

--- edito ---

El panel ya lo he encontrado, hay que ejecutar itweb-settings desde un terminal. No sale en los menús.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Sun May 15, 2016 8:02 pm    Post subject: Reply with quote

Hola,
¿has probado a crear un nuevo usuario?
Es una manera segura de comprobar que no se deba a alguna configuración.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Mon May 16, 2016 12:42 pm    Post subject: Reply with quote

Hola,

Sí lo había probado. Pero no con un usuario nuevo, sino con un segundo usuario que tengo, que lo uso una vez cada eones, precisamente para probar estas cosas.

Y tampoco funcionaba.

Acabo de probarlo con un usuario nuevo, y ¿bingo! ha funcionado. Ahora toca buscara ver qué configuración es la que falla. No me atrevo a borrar a sí de primeras el ~/.mozilla, porque perdería todos los favoritos y contraseñas guardadas, pero... bueno, ya contaré si averiguo exactamente la causa.
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Fri May 20, 2016 11:35 am    Post subject: Reply with quote

Quote:
Acabo de probarlo con un usuario nuevo, y ¿bingo! ha funcionado

:D
Esto significa que es culpa de alguna versión antigua de java que ha dejado una configuración fantasma incompatible con las nuevas versiones.
Bueno, ahora yo tengo un flamante DNI 3.0 que no es reconocido por opensc 0.15. Eso si que es una CHAPUZA.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2136
Location: Barcelona

PostPosted: Fri May 20, 2016 6:27 pm    Post subject: Reply with quote

Prueba a instalar la versión 0.16-rc2 a ver si lo han solucionado:

https://github.com/OpenSC/OpenSC/releases
_________________
pcmaster
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1109

PostPosted: Wed May 25, 2016 8:10 pm    Post subject: Reply with quote

Gracias, intentaré montar un ebuild con el.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Goto page Previous  1, 2, 3, 4  Next
Page 3 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum